// Reset

@import url('https://use.typekit.net/egh7aqb.css');

@import 'variable';

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  font-family: Helvetica, sans-serif;
  color: $primary-color;
}

a {
  color: $primary-color;
  text-decoration: none;
}

// utility classes
.container {
  max-width: 1100px;
  margin: auto;
  padding: 1rem;
}

.label {
  background: $primary-color;
  color: $light-color;
  display: inline-block;
  padding: 0.5rem 1rem;
}
.label-light {
  background: $light-color;
  color: $primary-color;
  display: inline-block;
  padding: 0.5rem 1rem;
}

button,
.btn {
  background-color: $secondary-color;
  color: $primary-color;
  padding: 0.6rem 1rem;
  font-weight: bold;
  cursor: pointer;
  outline: none;
  border: none;
  border-radius: 50px;
  min-width: fit-content;
  font-size: 1.1rem;
}

.btn-dark {
  color: $secondary-color;
  background-color: $primary-color;
}

.overlay {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  background-color: rgba($color: #000000, $alpha: 0.7);
  z-index: -1;
}

.error {
  color: rgb(243, 49, 49);
}

// Main styles

// Home page
header {
  nav {
    padding: 1rem 0;
    display: flex;
    align-items: center;

    .logo {
      font-weight: bold;
      font-size: 1.3rem;
      span {
        display: block;
      }
    }

    .navbar {
      display: flex;
      list-style: none;
      gap: 3rem;
      margin-left: auto;
      margin-right: 3rem;
    }
  }

  .showcase {
    padding: 5rem 0;
    position: relative;
    background: url('/assets/home/annie-spratt-135307-unsplash.png') top right/cover no-repeat;
    .container {
      align-items: center;
      height: 100%;
      gap: 3rem;
      flex-wrap: wrap;

      > div {
        display: flex;
        gap: 5rem;
        .showcase-tag {
          font-size: 3rem;
          font-family: flood-std, sans-serif;
          color: $light-color;
          span {
            display: block;
          }
        }
      }

      .showcase-content {
        width: 40%;
        padding: 3rem 2rem;
        background: $light-color;
        position: relative;

        > .label {
          position: absolute;
          top: 0;
          transform: translateY(-50%);
        }

        h1 {
          font-size: 2.5rem;
        }

        a {
          display: block;
          margin-top: 2rem;
          text-decoration: underline;
        }
      }
    }
  }
}

#action {
  padding: 3rem 0;
  background-color: $secondary-color;
  position: relative;

  .container {
    list-style: none;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 3rem;
    flex-wrap: wrap;

    li {
      flex: 1;
    }
  }

  h2 {
    line-height: 1.5;
  }
  .label {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%, -50%);
  }
}

#whatwedo {
  background-color: $primary-color;
  color: $light-color;

  .container {
    padding: 4rem 1rem;

    > h2 {
      font-size: 2rem;
      line-height: 1.3;
      margin: 2rem 0;
    }

    .card-wrapper {
      display: flex;
      gap: 3rem;
      flex-wrap: wrap;
      justify-content: space-between;

      .card {
        background-color: $light-color;
        color: $primary-color;
        width: 300px;
        margin-top: 3rem;

        .card-content {
          padding: 1.5rem;
        }

        .card-img {
          width: 100%;

          img {
            width: 100%;
            aspect-ratio: 8 / 6;
            transform: translate(1.5rem, -1.5rem);
          }
        }

        h3 {
          font-size: 1.5rem;
          font-weight: bold;
          line-height: 1.2;
        }

        p {
          padding: 1rem 0;
          font-weight: 300;
        }

        button {
          font-size: 1.1rem;
        }
      }
    }
  }
}

#didyouknow {
  background: url('/assets/home/did-you-know-background.png') center center/cover no-repeat;
  padding: 5rem 0;

  .container {
    display: flex;
    justify-content: space-between;

    .tag {
      font-size: 3rem;
      font-family: flood-std, sans-serif;
      color: $light-color;
      span {
        display: block;
      }
      margin-bottom: 2rem;
    }

    button {
      font-size: 1.1rem;
    }

    .card-wrapper {
      .card {
        padding: 2rem;
        background-color: $light-color;
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 2rem;
        position: relative;
        margin-bottom: 2rem;

        .label {
          position: absolute;
          top: 0;
          transform: translateY(-50%);
        }

        .card-content {
          max-width: 300px;

          h2 {
            font-size: 2rem;
          }

          p {
            font-weight: 300;
            line-height: 1.5;
          }
        }

        .social-icons {
          div {
            width: 2rem;
            height: 2rem;
            background: $secondary-color;
            border-radius: 50%;
            display: flex;
            justify-content: center;
            align-items: center;
            margin: 0.5rem;
          }
        }
      }
    }
  }
}

#stories {
  .container {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5rem 0;
    flex-wrap: wrap;

    .card-wrapper {
      flex: 1;
      transform: translateX(2rem);
      z-index: 5;
      .card {
        padding: 2rem;
        color: $light-color;
        background: $primary-color;

        h3 {
          font-size: 1.5rem;
          line-height: 1.3;
        }

        p {
          font-size: 0.8rem;
          margin-top: 2rem;
        }
      }
    }

    button {
      margin-top: 2rem;
    }

    .stories-img {
      position: relative;

      .label {
        position: absolute;
        transform: translate(2rem, -50%);
      }
    }
  }
}

#section4 {
  padding: 5rem 0;
  background-color: $primary-color;
  color: $light-color;

  .container {
    h1 {
      font-size: 3rem;
      font-family: flood-std, sans-serif;
      width: 75%;
    }

    .wrapper {
      .item {
        margin: 3rem 0;
        display: flex;
        justify-content: space-between;
        gap: 3rem;

        h2 {
          font-size: 2.5rem;
          margin-top: 2rem;
        }

        p {
          font-weight: lighter;
          line-height: 1.5;
          margin: 2rem 0;
        }

        button {
          font-size: 1.1rem;
        }
      }

      .item-2 {
        img {
          order: 2;
        }
      }
    }
  }
}

#subscribe {
  padding: 3rem 0;
  background-color: $secondary-color;

  .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 2rem;

    p {
      font-size: 1.2rem;
      font-weight: bold;
    }

    form {
      display: flex;
      gap: 2rem;
      width: 60%;

      input {
        width: 100%;
        outline: none;
        border: none;
        padding: 0.8rem 1.5rem;
        border-radius: 50px;
      }

      .btn-dark {
        padding: 0.8rem 1.5rem;
      }
    }
  }
}

footer {
  padding: 5rem 0;

  .container {
    display: flex;
    justify-content: space-between;
    gap: 3rem;
    flex-wrap: wrap;

    span {
      display: block;
    }

    ul {
      list-style: none;
    }

    .footer-logo {
      font-size: 1.3rem;
      flex: 1;

      span {
        display: block;
      }
    }

    ul {
      li {
        line-height: 1.5;
      }

      li:first-child {
        border-bottom: 1px solid black;
        padding-bottom: 0.5rem;
      }
      li:nth-child(2) {
        padding-top: 0.5rem;
      }
    }

    .footer-tag {
      font-size: 3rem;
      font-family: flood-std, sans-serif;
      font-weight: 400;
      flex: 1;
      text-align: right;
    }
  }
}

// Donation page

#donation-nav {
  .container {
    nav {
      justify-content: center;
      text-align: center;
    }
  }
}

#donation-form {
  background: url('/assets/donation/annie-spratt-427340-unsplash.png') center center/cover no-repeat;
  position: relative;

  .container {
    display: flex;
    gap: 2rem;

    > h1 {
      order: 2;
      font-size: 3rem;
      font-family: flood-std, sans-serif;
      color: $light-color;
      flex: 1;
      span {
        display: block;
      }
    }

    form {
      background-color: $primary-color;
      padding: 2rem;
      color: $light-color;
      flex: 1;

      > div {
        margin: 1rem 0;

        h2 {
          margin: 1rem 0;
        }
      }

      .input-group {
        display: flex;
        justify-content: space-between;
        gap: 2rem;
        margin: 1rem 0;

        label {
          flex: 1;
          font-size: 0.8rem;

          input,
          select {
            display: block;
            background: none;
            color: $light-color;
            width: 100%;
            margin: 5px 0;
            outline: none;
            border: none;
            padding: 0.5rem 0;
            font-size: 1rem;
            border-bottom: 1px solid $secondary-color;
          }

          select option {
            color: $primary-color;
          }
        }
      }

      .actions {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin: 2rem 0;

        button {
          order: 2;
        }

        a {
          color: $light-color;
          text-decoration: underline;
        }
      }
    }
  }
}

@import 'mediaQueries';
